XnCallback Struct Reference

`#include <XnCallback.h>`

## Public Member Functions

| XnCallback ()
| XnCallback (XnFuncPtr pFuncPtr, void *pCookie)
void | Set (XnFuncPtr pFuncPtr, void *pCookie)

## Public Attributes

XnFuncPtr | pFuncPtr
void * | pCookie

## Detailed Description

Holds a pair of function pointer and user cookie to be used as callbacks.

## Constructor & Destructor Documentation

## XnCallback() [1/2]

XnCallback::XnCallback | ( |  | ) |

inline

## XnCallback() [2/2]

XnCallback::XnCallback | ( | XnFuncPtr | pFuncPtr,
|  | void * | pCookie )

inline

## Member Function Documentation

## Set()

void XnCallback::Set | ( | XnFuncPtr | pFuncPtr,
|  | void * | pCookie )

inline

## Member Data Documentation

## pCookie

void* XnCallback::pCookie

## pFuncPtr

XnFuncPtr XnCallback::pFuncPtr

The documentation for this struct was generated from the following file:

- XnCallback.h